Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface EjbRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  EjbRefTypeImpl

    public interface EjbRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `ejb-refType` xsd type

Original Documentation:

The ejb-ref element is used to give the jndi-name of an external ejb
reference. In the case of an external ejb reference, you don't provide a ejb-link element in
ejb-jar.xml, but you provide a jndi-name in jboss.xml Used in: entity, session,
message-driven, consumer, and service

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbLink()` Returns the `ejb-link` element
`java.lang.String` | `getEjbRefName()` Returns the `ejb-ref-name` element
`EjbRefTypeType` | `getEjbRefType()` Returns the `ejb-ref-type` element
`java.lang.String` | `getEjbRefTypeAsString()` Returns the `ejb-ref-type` element
`java.lang.String` | `getHome()` Returns the `home` element
`java.util.List<InjectionTargetType<EjbRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getRemote()` Returns the `remote` element
`EjbRefType<T>` | `ignoreDependency()`
`InjectionTargetType<EjbRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`EjbRefType<T>` | `removeAllDescription()` Removes the `description` element
`EjbRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`EjbRefType<T>` | `removeEjbLink()` Removes the `ejb-link` element
`EjbRefType<T>` | `removeEjbRefName()` Removes the `ejb-ref-name` element
`EjbRefType<T>` | `removeHome()` Removes the `home` element
`EjbRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`EjbRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EjbRefType<T>` | `removeRemote()` Removes the `remote` element
`EjbRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbRefType<T>` | `setEjbLink(java.lang.String ejbLink)` If not already created, a new `ejb-link` element with the given value will be created.
`EjbRefType<T>` | `setEjbRefName(java.lang.String ejbRefName)` If not already created, a new `ejb-ref-name` element with the given value will be created.
`EjbRefType<T>` | `setEjbRefType(EjbRefTypeType ejbRefType)` If not already created, a new `ejb-ref-type` element with the given value will be created.
`EjbRefType<T>` | `setEjbRefType(java.lang.String ejbRefType)` If not already created, a new `ejb-ref-type` element with the given value will be created.
`EjbRefType<T>` | `setHome(java.lang.String home)` If not already created, a new `home` element with the given value will be created.
`EjbRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`EjbRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`EjbRefType<T>` | `setRemote(java.lang.String remote)` If not already created, a new `remote` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setJndiName

    EjbRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### removeJndiName

    EjbRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `EjbRefType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    EjbRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### removeMappedName

    EjbRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `EjbRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    EjbRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `EjbRefType`

### injectionTarget

    InjectionTargetType<EjbRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<EjbRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### ignoreDependency

    EjbRefType<T> ignoreDependency()

### isIgnoreDependency

    java.lang.Boolean isIgnoreDependency()

### setDescription

    EjbRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `EjbRefType`

### setDescriptionList

    EjbRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbRefType`

### removeAllDescription

    EjbRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `EjbRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setEjbRefName

    EjbRefType<T> setEjbRefName(java.lang.String ejbRefName)

  If not already created, a new `ejb-ref-name` element with the given value will be created. Otherwise, the existing `ejb-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### removeEjbRefName

    EjbRefType<T> removeEjbRefName()

  Removes the `ejb-ref-name` element

  Returns:
    the current instance of `EjbRefType`

### getEjbRefName

    java.lang.String getEjbRefName()

  Returns the `ejb-ref-name` element

  Returns:
    the node defined for the element `ejb-ref-name`

### setEjbRefType

    EjbRefType<T> setEjbRefType(EjbRefTypeType ejbRefType)

  If not already created, a new `ejb-ref-type` element with the given value will be created. Otherwise, the existing `ejb-ref-type` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### setEjbRefType

    EjbRefType<T> setEjbRefType(java.lang.String ejbRefType)

  If not already created, a new `ejb-ref-type` element with the given value will be created. Otherwise, the existing `ejb-ref-type` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### getEjbRefType

    EjbRefTypeType getEjbRefType()

  Returns the `ejb-ref-type` element

  Returns:
    the node defined for the element `ejb-ref-type`

### getEjbRefTypeAsString

    java.lang.String getEjbRefTypeAsString()

  Returns the `ejb-ref-type` element

  Returns:
    the node defined for the element `ejb-ref-type`

### setHome

    EjbRefType<T> setHome(java.lang.String home)

  If not already created, a new `home` element with the given value will be created. Otherwise, the existing `home` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### removeHome

    EjbRefType<T> removeHome()

  Removes the `home` element

  Returns:
    the current instance of `EjbRefType`

### getHome

    java.lang.String getHome()

  Returns the `home` element

  Returns:
    the node defined for the element `home`

### setRemote

    EjbRefType<T> setRemote(java.lang.String remote)

  If not already created, a new `remote` element with the given value will be created. Otherwise, the existing `remote` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### removeRemote

    EjbRefType<T> removeRemote()

  Removes the `remote` element

  Returns:
    the current instance of `EjbRefType`

### getRemote

    java.lang.String getRemote()

  Returns the `remote` element

  Returns:
    the node defined for the element `remote`

### setEjbLink

    EjbRefType<T> setEjbLink(java.lang.String ejbLink)

  If not already created, a new `ejb-link` element with the given value will be created. Otherwise, the existing `ejb-link` element will be updated with the given value.

  Returns:
    the current instance of `EjbRefType`

### removeEjbLink

    EjbRefType<T> removeEjbLink()

  Removes the `ejb-link` element

  Returns:
    the current instance of `EjbRefType`

### getEjbLink

    java.lang.String getEjbLink()

  Returns the `ejb-link` element

  Returns:
    the node defined for the element `ejb-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD